GAIR 硅谷智能驾驶峰会
您正在使用IE低版浏览器,为了您的雷锋网账号安全和更好的产品体验,强烈建议使用更快更安全的浏览器
AI开发 正文
发私信给思颖
发送

0

谷歌发布TensorFlow 1.4版本:支持分布式训练,迎来三大新变化

本文作者:思颖 编辑:郭奕欣 2017-11-08 17:20
导语:Google Developers blog正式撰文发布TensorFlow 1.4版本,此次的更新迎来几个重大变化。

雷锋网 AI科技评论消息,日前,Google Developers blog正式撰文发布TensorFlow 1.4版本,此次的更新迎来三个重大变化:Keras位于TensorFlow core中,Dataset API支持更多功能,引入效用函数tf.estimator.train_and_evaluate等等。

谷歌发布TensorFlow 1.4版本:支持分布式训练,迎来三大新变化

雷锋网 AI科技评论编辑整理如下:

TensorFlow 1.4目前已经公开,这次迎来重大更新。此次更新后,将支持很多新的、令人兴奋的特征,希望大家都能满意。

Keras

在TensorFlow 1.4版本中,Keras从tf.contrib.keras转移到tf.keras核心包。Keras目前是一个广受欢迎的机器学习框架,它的高级API接口能大大缩短从付诸想法到实践的时间。Keras平滑地集成了其他core TensorFlow功能,包括Estimator API。

事实上,通过调用tf.keras.estimator.model_to_estimator函数,大家可以从任何Keras模型中构建Estimator。

此次更新后,Keras处于TensorFlow core中了,大家可以在自己的产品工作流中用到它。

想要了解更多关于Keras的相关知识,请阅读如下链接:

简单介绍

(https://keras.io/#getting-started-30-seconds-to-keras)

Keras Sequential model API指南

(https://keras.io/getting-started/sequential-model-guide/)

Keras Functional model API指南

(https://keras.io/getting-started/functional-api-guide/)

想要了解更多关于Estimator的相关知识,请阅读如下链接:

介绍TensorFlow Estimator和数据集的博文

(https://developers.googleblog.com/2017/09/introducing-tensorflow-datasets.html)

数据集

TensorFlow 1.4版本中,Dataset API从tf.contrib.data中转移到tf.data核心包。新版Dataset API将支持Python生成器。强烈建议大家使用Dataset API来为TensorFlow模型创建input pipeline,原因有如下几点:

  • 比起老版的API,这次更新的Dataset API提供了更多功能(feed_dict函数、基于队列的pipeline)

  • Dataset API执行效果更好

  • Dataset API更干净,更易于使用

未来的开发重点将放在Dataset API上,而不是着眼于之前的API。如果想使用数据集,请阅读如下说明:

介绍TensorFlow Estimator和数据集的博文(链接如上)

TensorFlow程序员数据导入篇指南

(https://www.tensorflow.org/versions/r1.4/programmers_guide/datasets)

介绍Dataset API的幻灯片(带有讲者注释)

(http://t.cn/RlWCD1b)

分布式训练&评估Estimator

TensorFlow 1.4还引入了效用函数tf.estimator.train_and_evaluate,这能简化训练、评估以及

输出Estimator模型的过程。该函数在训练和评估过程中能支持分布式执行,同时也仍然支持本地执行。

其他增强功能

除了前面所述的一系列功能,TensorFlow 1.4还引入了一些额外的增强功能,在Release Note有详细描述,地址:https://github.com/tensorflow/tensorflow/blob/master/RELEASE.md

安装TensorFlow 1.4

目前可以使用标准pip来安装TensorFlow 1.4版本。

# Note: the following command will overwrite any existing TensorFlow

# installation.

$ pip install --ignore-installed --upgrade tensorflow

# Use pip for Python 2.7

# Use pip3 instead of pip for Python 3.x

另外,tensorflow.org中的文件也已更新到1.4版本。

最后,TensorFlow的强大功能依赖于社群中的贡献者们,非常感谢大家帮助我们一起进行开发。还没有加入我们社群的人,请不要犹豫,大家一起在GitHub开发源代码或者在Stack Overflow上帮助回答问题吧。

希望你们都能喜欢这些新功能。

via:Google Developers blog

雷锋网 AI科技评论编辑整理。

雷锋网版权文章,未经授权禁止转载。详情见转载须知

分享:
相关文章

文章点评:

表情
最新文章
为了您的账户安全,请验证邮箱
您的邮箱还未验证,完成可获20积分哟!
请验证您的邮箱
立即验证
完善账号信息
您的账号已经绑定,现在您可以设置密码以方便用邮箱登录
立即设置 以后再说
请填写申请人资料
姓名
电话
邮箱
微信号
作品链接
个人简介